summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-06-02 12:46:47 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-06-02 12:46:47 -0400
commitc4d6f4c027bb7e81093ec7c588f027de568e6bb6 (patch)
tree92b550aa1c66b52661d01f92122715aa09fc706c /.local/bin/statusbar
parent87b0754319a00648cd20b7f013cc821868f6d25e (diff)
parent0df700f504cedeac1ae354c650ea80b32ab7668c (diff)
downloadeibhear-c4d6f4c027bb7e81093ec7c588f027de568e6bb6.tar.gz
eibhear-c4d6f4c027bb7e81093ec7c588f027de568e6bb6.tar.zst
eibhear-c4d6f4c027bb7e81093ec7c588f027de568e6bb6.zip
Merge branch 'chambln-refactor'
Diffstat (limited to '.local/bin/statusbar')
-rwxr-xr-x.local/bin/statusbar/crypto2
-rwxr-xr-x.local/bin/statusbar/help-icon2
-rwxr-xr-x.local/bin/statusbar/nettraf24
-rwxr-xr-x.local/bin/statusbar/news2
-rwxr-xr-x.local/bin/statusbar/weather11
5 files changed, 24 insertions, 17 deletions
diff --git a/.local/bin/statusbar/crypto b/.local/bin/statusbar/crypto
index bb19fc9..ef025d4 100755
--- a/.local/bin/statusbar/crypto
+++ b/.local/bin/statusbar/crypto
@@ -28,7 +28,7 @@ printprices() { # Print/format all prices
for x in "$dir"/*; do
[ -f "$x" ] || break
info="$(cut -d';' -f-2 --output-delimiter=' ' "$x")"
- printf "%s$%0.2f " $info
+ printf "%s$%0.2f " "$info"
done | sed 's/ $/\n/'
}
diff --git a/.local/bin/statusbar/help-icon b/.local/bin/statusbar/help-icon
index 9c90964..5044324 100755
--- a/.local/bin/statusbar/help-icon
+++ b/.local/bin/statusbar/help-icon
@@ -3,7 +3,7 @@
# The clickable help menu. Middle click to restart wm.
# If dwm is running, use dwm's readme and restart.
-ps ax | grep -q "\sdwm$" &&
+pgrep -f "\sdwm$" &&
READMEFILE=/usr/local/share/dwm/larbs.mom
restartwm() { pkill -HUP dwm ;} ||
restartwm() { i3 restart ;}
diff --git a/.local/bin/statusbar/nettraf b/.local/bin/statusbar/nettraf
index c9b003f..ac43416 100755
--- a/.local/bin/statusbar/nettraf
+++ b/.local/bin/statusbar/nettraf
@@ -4,19 +4,25 @@
# transmitted (TX) since the previous time this script ran. So if run every
# second, gives network traffic per second.
-case "$BLOCK_BUTTON" in
+case $BLOCK_BUTTON in
3) notify-send "🌐 Network traffic module" "🔻: Traffic received
🔺: Traffic transmitted" ;;
6) "$TERMINAL" -e "$EDITOR" "$0" ;;
esac
-logfile="${XDG_CACHE_HOME:-$HOME/.cache}/netlog"
-[ -f "$logfile" ] || echo "0 0" > "$logfile"
-read -r rxprev txprev < "$logfile"
+update() {
+ sum=0
+ for arg; do
+ read -r i < "$arg"
+ sum=$(( sum + i ))
+ done
+ cache=${XDG_CACHE_HOME:-$HOME/.cache}/${1##*/}
+ [ -f "$cache" ] && read -r old < "$cache" || old=0
+ printf %d\\n "$sum" > "$cache"
+ printf %d\\n $(( (sum - old) / 1024 ))
+}
-rxcurrent="$(($(paste -d '+' /sys/class/net/[ew]*/statistics/rx_bytes)))"
-txcurrent="$(($(paste -d '+' /sys/class/net/[ew]*/statistics/tx_bytes)))"
+rx=$(update /sys/class/net/[ew]*/statistics/rx_bytes)
+tx=$(update /sys/class/net/[ew]*/statistics/tx_bytes)
-printf "🔻%dKiB 🔺%dKiB\\n" "$(((rxcurrent-rxprev)/1024))" "$(((txcurrent-txprev)/1024))"
-
-echo "$rxcurrent $txcurrent" > "$logfile"
+printf "🔻%dKiB 🔺%dKiB\\n" "$rx" "$tx"
diff --git a/.local/bin/statusbar/news b/.local/bin/statusbar/news
index b414981..e997597 100755
--- a/.local/bin/statusbar/news
+++ b/.local/bin/statusbar/news
@@ -14,4 +14,4 @@ case $BLOCK_BUTTON in
6) "$TERMINAL" -e "$EDITOR" "$0" ;;
esac
- cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ print "📰" $1}' | sed 's/^📰0$//g')$(cat ${XDG_CONFIG_HOME:-$HOME/.config}/newsboat/.update 2>/dev/null)"
+ cat /tmp/newsupdate 2>/dev/null || echo "$(newsboat -x print-unread | awk '{ print "📰" $1}' | sed 's/^📰0$//g')$(cat "${XDG_CONFIG_HOME:-$HOME/.config}"/newsboat/.update 2>/dev/null)"
diff --git a/.local/bin/statusbar/weather b/.local/bin/statusbar/weather
index 9a6c40a..e04bac0 100755
--- a/.local/bin/statusbar/weather
+++ b/.local/bin/statusbar/weather
@@ -6,17 +6,18 @@
# If we have internet, get a weather report from wttr.in and store it locally.
# You could set up a shell alias to view the full file in a pager in the
# terminal if desired. This function will only be run once a day when needed.
-getforecast() { curl -sf "wttr.in/$LOCATION" > "${XDG_DATA_HOME:-$HOME/.local/share}/weatherreport" || exit 1 ;}
+weatherreport="${XDG_DATA_HOME:-$HOME/.local/share}/weatherreport"
+getforecast() { curl -sf "wttr.in/$LOCATION" > "$weatherreport" || exit 1 ;}
# Some very particular and terse stream manipulation. We get the maximum
# precipication chance and the daily high and low from the downloaded file and
# display them with coresponding emojis.
-showweather() { printf "%s" "$(sed '16q;d' "${XDG_DATA_HOME:-$HOME/.local/share}/weatherreport" |
+showweather() { printf "%s" "$(sed '16q;d' "$weatherreport" |
grep -wo "[0-9]*%" | sort -rn | sed "s/^/☔/g;1q" | tr -d '\n')"
-sed '13q;d' "${XDG_DATA_HOME:-$HOME/.local/share}/weatherreport" | grep -o "m\\([-+]\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " 🥶" $1 "°","🌞" $2 "°"}' ;}
+sed '13q;d' "$weatherreport" | grep -o "m\\([-+]\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " 🥶" $1 "°","🌞" $2 "°"}' ;}
case $BLOCK_BUTTON in
- 1) setsid -f "$TERMINAL" -e less -Srf "${XDG_DATA_HOME:-$HOME/.local/share}/weatherreport" ;;
+ 1) setsid -f "$TERMINAL" -e less -Srf "$weatherreport" ;;
2) getforecast && showweather ;;
3) notify-send "🌈 Weather module" "\- Left click for full forecast.
- Middle click to update forecast.
@@ -28,7 +29,7 @@ esac
# The test if our forcecast is updated to the day. If it isn't download a new
# weather report from wttr.in with the above function.
-[ "$(stat -c %y "${XDG_DATA_HOME:-$HOME/.local/share}/weatherreport" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
+[ "$(stat -c %y "$weatherreport" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
getforecast
showweather